Subject: [os2genau_digest] No. 1751
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 4 Dec 2008 00:00:42 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 03 December 2008
 Number  1751
**************************************************

Subjects for today
 
1   large drives and long JFS format : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  large drives and long JFS format : Mike O'Connor <mikeoc at internode.on dot net>
3  Re:  large drives and long JFS format : Ian Manners" <deadmail>
4  Re:  large drives and long JFS format : Mike O'Connor <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Wed, 03 Dec 2008 18:23:09 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   large drives and long JFS format

I've just tried to long format a 750GB SATA drive from the command line 
(normal format works OK).

After 30 minutes the percetage formatted hadn't moved off zero and as 
soom as I tried to start Thunderbird (which isn't pointing to the drive 
in question in any way) I get a black screen with TRAP000 in the top 
left hand corner - the system has totally crashed even before it could 
display the whole message.

After restarting, I have the old trash can problem back again - emptying 
the trash can causes the WPS to restart. So I guess something is now 
corrupt in the trash can class/program/control.scr files etc.

Has anyone seen the long format problem before ? This is running using 
eCS 2.0RC3.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 03 Dec 2008 17:39:43 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  large drives and long JFS format

Ed Durrant wrote:

> I've just tried to long format a 750GB SATA drive from the command 
> line (normal format works OK).
>
> After 30 minutes the percetage formatted hadn't moved off zero and as 
> soom as I tried to start Thunderbird (which isn't pointing to the 
> drive in question in any way) I get a black screen with TRAP000 in the 
> top left hand corner - the system has totally crashed even before it 
> could display the whole message.
>
> After restarting, I have the old trash can problem back again - 
> emptying the trash can causes the WPS to restart. So I guess something 
> is now corrupt in the trash can class/program/control.scr files etc.
>
> Has anyone seen the long format problem before ? This is running using 
> eCS 2.0RC3.
>
> Cheers/2
>
> Ed. 

Hi Ed,

I would never attempt to long-format any large partition ever on a large 
disk - it does take forever - and comparing the relative time it takes 
Windoze to format the same partition to NTFS (not a quick-format!), I'm 
sure that M$ are skipping quite a lot of the *testing* procedures that 
IBM includes in the long format! Even on a 1.5Gbps SATA disk I find that 
eCS - LONG - format - whether HPFS or JFS on a new boot volume of even 
1-2GB takes far too long! From the time involved in one of those - 
scaled up I can foresee an inordinately long time when I wouldn't care 
to multitask the system!

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 03 Dec 2008 18:49:48 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  large drives and long JFS format

Hi Ed,

>I've just tried to long format a 750GB SATA drive from the command line 
>(normal format works OK).

Start the format when your not planning on using the PC for a few days :-)
Do not use the PC for anything else, and it's even better to boot to
the prompt to do it. I have no problems here doing it that way.

Also ensure you are using the latest LVM (not shipped with
eComStation).

31/05/06  14:37    3599707           0  lvm14105.zip

To others, I prefer my long format, makes me feel safer :-)

=-=-=-=-=-
  LVM SUPPORT
 
  May 12, 2006

  OS/2 Device Driver Development
  IBM Solution Technologies
  Austin, TX

  (c) Copyright International Business Machines Corporation, 2001, 2006.
  All rights Reserved.

  CONTENTS
  _________

    Prerequisite Support  
    1. Introduction
    2. Package Contents
    3. Installation Instructions
    4. Uninstall Instructions
    5. Changes in LVM Support of Removable Media
      5.1 Converting from PRM to Big Floppy
      5.2 Converting from Big Floppy to PRM
    6. APAR Fixes
    7. Copyright and Trademark Information

  Prerequisite Support  
  _____________________

  This package applies to:
  
  OS/2 Warp 4 Convenience Pack 1
  OS/2 Warp 4 Convenience Pack 2
  OS/2 Warp 4 Convenience Pack 2 Refresh
  OS/2 Warp Server for e-business
  OS/2 Warp Server for e-business Convenience Pack 1
  OS/2 Warp Server for e-business Convenience Pack 2
  OS/2 Warp Server for e-business Convenience Pack 2 Refresh  

  1. Introduction
  ________________
  
  This package will update the LVM  component files of OS/2 on your boot
drive
  with the files in this package.
  
  This package must be installed in  addition to IDEDASD package to access
the
  full capacity of a drive greater than 512 Gb. If the package is
installed on
  a system with a  drive less than 512 Gb, it will not  have any effect on
the
  drive geometry.

  2. Package Contents
  ____________________

  LVMUPDT.EXE file is a self-extracting  archive, which contains the
following
  files and directories:

  .\engine.dll
  .\lvm.exe
  .\lvm.rep
  .\lvm.sym
  .\lvmgui.cmd
  .\lvminst.exe
  .\lvminst.sym
  .\lvm_gui.ico
  .\os2lvm.dmd
  .\os2lvm.sym
  .\readme.txt
  .\syslevel.lvm
  .\<locale>\format dot com
  .\<locale>\lvm.dll
  .\<locale>\lvm.msg
  .\<locale>\lvm.sym
  .\<locale>\lvmgui.zip
  .\<locale>\lvmh.msg
  .\<locale>\uhpfs.dll
  .\<locale>\uhpfs.sym

  * where  <locale>  are  9  language specific  subdirectories,  which
contain
  language dependent message files:
    1) English
    2) French
    3) Italian
    4) German
    5) Spanish
    6) Japanese
    7) Brazilian Portuguese
    8) Simplified Chinese
    9) Traditional Chinese

  3. Installation Instructions
  _____________________________
  
  1) Make  sure  LVM  applications ( LVM.EXE,  LVMGUI.CMD ) are  not 
running,
     otherwise this installation might fail to update all the necessary
files.
      - If LVM is running, press F3 to exit the program;
	   - If LVMGUI is running, simply close its window.

  2) extract LVMUPDT.EXE package contents to a temporary install
directory.
      - e.g. LVMUPDT -d [<install directory>]

  3) start LVMINST.EXE from the install directory.
      - the installation program will save any existing files that are
updated.
        Saved files will be copied with an unique  .Dnn  file extension in
the
        same directory as the original file;
      - it will check  the system environment  and install appropriate
message
        files for the current system language;
      - it will create an uninstall script  LVMUINST.CMD  in the 
installation
        directory.  This  script  will  restore  all  files  changed  by 
this
        installation to their previous version;
      - it will install  SYSLEVEL.LVM  file,  which will be used by any
future
        LVM update packages to prevent accidental  down leveling  of LVM
files
        on your system;
      - it will not  install  *.SYM  files to  your system.  If you need
these
        files, you should copy them manually to the same directory, where
each
        corresponding executable file is located.

  4) if the installation was  successful,  shut down and restart your
computer
     for the changes to take effect.

  5) if there was an error during installation,  refer to  LVMINST.LOG
file in
     the install directory to determine the reason for the error.

  4. Uninstall Instructions
  __________________________

  1) start LVMUINST.CMD from LVM update package install directory.
      - This script will  restore  all files  changed by this 
installation to
        their previous version;
  2) shutdown and restart your system.

  5. Changes in LVM Support of Removable Media
  _____________________________________________

  LVM  has  modified  the  way  it  handles  removable media to provide a
more
  consistent  view  of  removable  media  and  in  how  it  converts  
between
  partitioned (PRM) and non-partitioned  removable  media (Big Floppy or
Large
  Floppy). 

  PRM partitions  will  be  at  least one cylinder smaller than the full
media
  size due  to  partition table information saved to the one first
cylinder of
  the media.  The same as  with  non-removable  media,  PRM partitions 
may be
  assigned  permanent/modifiable  volume names,  drive letter 
preferences, or
  other qualities such as Installable or Bootable. 

  Conversely,  a Big Floppy  is media that  does  not have any partition
table
  allocated  and all  the disk  space  of a  Big  Floppy media  is 
considered
  available for a single file system to use. The LVM standard Big Floppy
media
  view  will have a full media sized LVM generated fake partition, volume,
and
  volume label  "[ BIGFLOPPY nn ]"  (different from  the previous
misleadingly
  named "[PRM nn]" since a Big Floppy is not partitioned) temporarily
assigned
  to the media,  and an associated drive letter  assigned to the  volume.
This
  standard  Big Floppy media view will always be the view  whenever you 
start
  LVM. LVM  will  not  allow the  Big  Floppy  fake  volume to  be 
assigned a
  different drive letter or  volume label  from  the default, nor  given
other
  qualities like Installable or Bootable, because  there is no partition
table
  in which to store this information and make it permanent. 

  When the user deletes an LVM generated Big Floppy fake  volume, then the
LVM
  media view will change to have a full media  sized  FreeSpace  available
for
  partitioning. This same alternate  view of  full media  sized FreeSpace
will
  also be created whenever all volumes  and partitions are deleted from a
PRM.
  This alternate Big Floppy media view is different from the LVM  standard
Big
  Floppy media view, and only exists temporarily, until either the changes
are
  saved  or  new  partitions  are  created. This  alternate  view  is 
used to
  encourage  consideration  that  data  previously  in the partitions is
being
  destroyed. But at  this  point, the  media  is still, or has already
become,
  Big Floppy. 

  5.1 Converting from PRM to Big Floppy 
  ______________________________________

  To convert PRM to Big Floppy follow the instructions:

  1) Delete all volumes and partitions on the PRM. 
  2) The above described alternate Big Floppy media view will be present.
  3) Save the changes and exit LVM. 

  To  complete  the process,  use  FORMAT  to format  the volume to insure
the
  proper  file  system  is  applied  to  the  media.  Big Floppy media 
can be
  formatted FAT16  only.  The same media can be used for HPFS or JFS,  if
only
  you convert it to partitioned/partition it (PRM).

  If any new partitions  were  made  or remained before saving, then the
media
  will remain, or become again, a PRM and not a Big  Floppy.  The standard
Big
  Floppy media view will appear the next time LVM is started. 

  5.2 Converting from Big Floppy to PRM 
  ______________________________________

  Delete the LVM generated Big Floppy fake volume "[ BIG FLOPPY nn]. The
above
  described alternate Big Floppy  media  view  will be present. Then
create at
  least one new volume or partition. A new  partition does not need to be
part
  of a volume for the media to be considered as PRM. Save the changes and
exit
  LVM. 

  6. APAR Fixes
  ______________
  
  The following  list  provides a brief  abstract of each  APAR fixed  in
this
  package.  Every  effort has  been  made to  include all  APARs  fixed 
after
  Convenience Pack 1 in this list,  however some APAR numbers could be
omitted
  from this list but are fixed in this package:
  
  APAR = PJ28271
  IN LVMGUI, VOLUME CAN BE CREATED EVEN IF NO PARTITION IS SELECTED.
  
  APAR = PJ28272
  IN LVMGUI, NEGATIVE VALUES ARE ACCEPTED IN THE FIELD FOR BOOT MANAGER
  TIMEOUT SETTINGS.
  
  APAR = PJ28273
  LVMGUI.CMD : JAVA 1.3 FUNCTIONAL AND PERFORMANCE FIXES.
  
  APAR = PJ28274
  LVMGUI: VOLUME/PARTITION NAME WITH CHARACTER ASCII<32 AND >128 ACCEPTED..
  
  APAR = PJ28275
  LVMGUI: FOR THE FIRST OPERATION THAT LVMGUI COMMITS EVERY TIME IT IS
  STARTED, LVMGUI ASKS FOR A CD.
  
  APAR = PJ28276
  LVMGUI: EVEN AFTER JAVA 1.3 IS INSTALLED AS THE DEFAULT JRE, LVMGUI
TAKES
  JAVA 1.1.7.
  
  APAR = PJ28277
  LVMGUI SHOWS AN ERROR MESSAGE WHEN STARTED ON JAVA 1.3 ENVIRONMENT.
  
  APAR = PJ28278
  UNFORMATTED VOLUME SHOWN AS OF TYPE FAT IN BOOT MANAGER.
  
  APAR = PJ28281
  LVM UTILITY SHOWS INCORRECT SIZE FOR UDF VOLUME
  
  APAR = PJ28282
  REMOVEABLE MEDIA WITH NO PARTITIONS / COMPLETE FREE SPACE FAILS WITH
LVM.
  
  APAR = PJ28283
  LVM DOES NOT CHECK HIDDEN PARTITIONS CORRECTLY.
  
  APAR = PJ28284
  LVM GETS INCORRECT SIZE FOR JUST INSERTED PRMS.
  
  APAR = PJ28387
  UNABLE TO ADD EXISTING VOLUME TO BOOT MANAGER THROUGH LVM CLI

  7. Copyright and Trademark Information
  _______________________________________
  
  The  following  terms  are  trademarks of  International  Business 
Machines
  Corporation in the United States and/or other countries:
        IBM
        OS/2
        ThinkPad
        Ultrabay
        Warp
        Warp Server
        Warp Server for e-business
  Other company, product, and service names may be trademarks or service
marks
  of others.

  THE INFORMATION PROVIDED IN THIS README IS PROVIDED "AS IS" WITHOUT
WARRANTY
  OF ANY  KIND.  IBM DISCLAIMS  ALL WARRANTIES, WHETHER EXPRESSED  OR
IMPLIED,
  INCLUDING  WITHOUT  LIMITATION, THE  IMPLIED  WARRANTIES  OF  FITNESS
FOR  A
  PARTICULAR PURPOSE  AND MERCHANTABILITY WITH  RESPECT TO THE 
INFORMATION IN
  THIS DOCUMENT.  BY FURNISHING THIS DOCUMENT,  IBM GRANTS NO  LICENSES TO
ANY
  PATENTS OR COPYRIGHTS.
  
  (C) Copyright IBM Corporation, 2001, 2006. All rights reserved.
  U.S. Government  Users Restricted Rights  -- Use, duplication  or
disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
=-=-=-=-=-

Cheers
Ian Manners
http://www.os2site dot com/

----------------------------------------------------------------------------------
 
**= Email   4 ==========================**

Date:  Wed, 03 Dec 2008 18:27:33 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  large drives and long JFS format

Ian Manners wrote:

>Start the format when your not planning on using the PC for a few days :-)
>Do not use the PC for anything else, and it's even better to boot to
>the prompt to do it. I have no problems here doing it that way.
>
>Also ensure you are using the latest LVM (not shipped with
>eComStation).
>
>31/05/06  14:37    3599707           0  lvm14105.zip
>
>To others, I prefer my long format, makes me feel safer :-)
>
Hi Ian, Ed,

After signing in at ecomstation dot com and using the search dialogue the 
following (extract) is displayed:

The following file is available for download: lvm14105.exe - size: 
3599707 bytes

Direct Download

You can download the software by pressing the SHIFT button on your 
keyboard and
click on the following link: lvm14105.exe

Note: Please do not use download accelerators, as you will have a max. 
bandwidth of 50 kbps anyway.
Download accelerators tend to block the FTP server and will prohibit 
downloads for all users.
Instead use the download option of Mozilla, Internet Explorer or a tool 
like wget or PM Downloader

I too prefer to know that all sectors are perfect, so even with 20GB 
disks, I used to divide them up into multiple 1GB partitions, and do a 
long format on each, individually in succession, allocating the same 
volume-letter to each temporarily - then deleting all partitions and 
creating larger ones, then doing a quick format on them with the desired 
volume-letter.

Regards,
Mike

----------------------------------------------------------------------------------